Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76841 - "usb-uhci.c: c interrupt, status 3" appears on all tty terminals
Summary: "usb-uhci.c: c interrupt, status 3" appears on all tty terminals
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-27 23:00 UTC by Brad Smith
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-08 15:41:05 UTC


Attachments (Terms of Use)

Description Brad Smith 2002-10-27 23:00:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I get the message "usb-uhci.c: c interrupt, status 3" followed by various frame
numbers on all tty terminals. These messages started showing up after I updates
the kernel to the latest offered by RH on the RedHat Network.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Toggle to a tty (cntl-alt-f2, etc)
2.wait
3.message appears, logged in or not.
	

Actual Results:  I see the "usb-uhci.c: c interrupt, status 3" message.


Expected Results:  Should not see the message.

Additional info:

I have a USB Logitech mouse and a microsoft wireless keyboard. Both seem to be
funtioning properly. The message is irritating and indicates that something is
not configured correctly. I did not see it prior to the kernel upgrade
(2.4.18-17.8.0).

Comment 1 Bill Nottingham 2003-05-19 19:35:16 UTC
Does this persist with 2.4.20-13.8?

Comment 2 acount closed by user 2003-05-20 02:04:09 UTC
At my system I saw this but only _after a warm reset_ from windows98SE.
I have 2.4.20-13.9 with and an Logitech USB Cordless MouseMan Optical.
it was necessary to press poweroff, to reset the machine wasn't enough.
It happened one time only

Comment 3 Brad Smith 2003-05-20 02:30:54 UTC
I am using 2.4.20-13.9 #1 Mon May 12 11:03:52 EDT 2003 i686 athlon i386
GNU/Linux now. I do not see this bug with this kernel.

Comment 4 Rick Richardson 2003-06-01 16:14:02 UTC
I have an RH 7.2 that I just fully updated to current.  It has a SanDisk SDDR-31
compact flash reader on it.  This used to work with the previous kernel
(2.4.18-27.7).  With the latest kernel that up2date installs for RH 7.2,
(2.4.20-13.7), I get:

Attached scsi removable disk sda at scsi0, channel 0, id 0, lun 0
SCSI device sda: 96385 512-byte hdwr sectors (49 MB)
sda: Write Protect is off
 sda: sda1
usb-uhci.c: interrupt, status 3, frame# 1383
usb_control/bulk_msg: timeout

I see that the poster had success with the -13.9 kernel.  Is this kernel going
to be made available in the RH 7.2 channel?

-Rick

Comment 5 Arjan van de Ven 2003-06-02 06:17:38 UTC
the -13.7 and -13.9 kernels are nearly identical (the 13.7 one doesn't have the
nptl threading patch and is compiled with the 7.x gcc compiler)

Comment 6 Pete Zaitcev 2003-06-02 19:18:13 UTC
Rick, please file a new bug. I don't want you to be mixed with keyboard/mouse
problems.

The message accompains thousands of unrelated scenarios, so SuSE simply
comment it out in order to prevent bugs like this. We ship it count-limited,
perhaps the count patch was lost.

In summary, it's a totally useless message, which never helps to debug anything
and only serves to confuse users. So, disregarding idiotic printout, most
users in this bug see no problem, but Rik expiriences a regression with SDDR-31.
The SDDR-31 is a supported device, well understood. His problem needs
its own bug.


Comment 7 Pete Zaitcev 2003-06-03 21:24:43 UTC
Brad, please make sure that 2.4.20-18 does not regress for you,
and we'll close this.


Comment 8 Brad Smith 2003-06-03 23:17:35 UTC
I installed 2.4.20-18 today. After running it for about 1 hour, I have not seen
any usb-uhci.c messages at all. Looks good.

Brad



Note You need to log in before you can comment on or make changes to this bug.